import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.principal.deleteBinding();
console.log(result);
}
run();package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Principal.DeleteBinding(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.ServicePrincipalServiceDeleteBindingResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/service_principals/bindings/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"servicePrincipalId": "<string>",
"subject": {
"authzenServer": {
"appId": "<string>",
"id": "<string>"
},
"edge": {
"appId": "<string>",
"id": "<string>"
},
"functionId": "<string>",
"ssoApplication": {
"appId": "<string>",
"id": "<string>"
}
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/service_principals/bindings/delete"
payload = {
"servicePrincipalId": "<string>",
"subject": {
"authzenServer": {
"appId": "<string>",
"id": "<string>"
},
"edge": {
"appId": "<string>",
"id": "<string>"
},
"functionId": "<string>",
"ssoApplication": {
"appId": "<string>",
"id": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
servicePrincipalId: '<string>',
subject: {
authzenServer: {appId: '<string>', id: '<string>'},
edge: {appId: '<string>', id: '<string>'},
functionId: '<string>',
ssoApplication: {appId: '<string>', id: '<string>'}
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/service_principals/bindings/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Delete Binding
DeleteBinding removes a single (subject, service_principal_id) binding row. At-most-one delete — does not touch other bindings the subject may hold against different service principals. Idempotent — succeeds even if no matching row exists.
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.principal.deleteBinding();
console.log(result);
}
run();package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Principal.DeleteBinding(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.ServicePrincipalServiceDeleteBindingResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The ServicePrincipalServiceDeleteBindingRequest message.
The servicePrincipalId field.
ServicePrincipalBindingSubject identifies the entity that is bound to a service principal. Open-ended oneof so future subject kinds (workflows, connectors, etc.) can be added without changing the RPC shape.
This message contains a oneof named kind. Only a single field of the following list may be set at a time:
- functionId
- ssoApplication
- authzenServer
- edge
Show child attributes
Show child attributes
Response
Successful response
The ServicePrincipalServiceDeleteBindingResponse message.
Was this page helpful?